> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get registered model

> Get metadata for a registered model. This method works on deleted models.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/registered-models/get
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/registered-models/get:
    get:
      tags:
        - MLflow models
      description: >-
        Get metadata for a registered model. This method works on deleted
        models.
      operationId: registeredModels.Get
      parameters:
        - description: Registered model unique name identifier. This field is required.
          in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Registered Model
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_GetRegisteredModelResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_GetRegisteredModelResponse:
      properties:
        registered_model:
          $ref: '#/components/schemas/mlflow-proxy_RegisteredModel'
      required:
        - registered_model
      type: object
    mlflow-proxy_RegisteredModel:
      properties:
        name:
          description: Unique name for the model.
          type: string
        creation_timestamp:
          description: Timestamp recorded when this registered_model was created.
          type: integer
          format: int64
        last_updated_timestamp:
          description: >-
            Timestamp recorded when metadata for this registered_model was last
            updated.
          type: integer
          format: int64
        user_id:
          description: >-
            User that created this registered_model NOTE: this field is not
            currently returned.
          type: string
        description:
          description: Description of this registered_model.
          type: string
        latest_versions:
          description: >-
            Collection of latest model versions for each stage. Only contains
            models with current READY status.
          items:
            $ref: '#/components/schemas/mlflow-proxy_ModelVersion'
          type: array
        tags:
          description: Additional metadata key-value pairs for this registered_model.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
        aliases:
          description: >-
            Aliases pointing to model versions associated with this
            registered_model.
          items:
            $ref: '#/components/schemas/mlflow-proxy_RegisteredModelAlias'
          type: array
      required:
        - name
        - creation_timestamp
        - last_updated_timestamp
        - latest_versions
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ModelVersion:
      properties:
        name:
          description: Unique name of the model.
          type: string
        version:
          description: Model's version number.
          type: string
        creation_timestamp:
          description: Timestamp recorded when this model_version was created.
          type: integer
          format: int64
        last_updated_timestamp:
          description: >-
            Timestamp recorded when metadata for this model_version was last
            updated.
          type: integer
          format: int64
        user_id:
          description: User that created this model_version.
          type: string
        current_stage:
          description: Current stage for this model_version.
          type: string
        description:
          description: Description of this model_version.
          type: string
        source:
          description: >-
            URI indicating the location of the source model artifacts, used when
            creating model_version.
          type: string
        run_id:
          description: >-
            MLflow run ID used when creating model_version, if source was
            generated by an experiment run stored in MLflow tracking server.
          type: string
        status:
          $ref: '#/components/schemas/mlflow-proxy_ModelVersionStatus'
        status_message:
          description: Details on current status, if it is pending or failed.
          type: string
        tags:
          description: Additional metadata key-value pairs for this model_version.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
        run_link:
          description: >-
            Run Link: Direct link to the run that generated this version. This
            field is set at model version creation time only for model versions
            whose source run is from a tracking server that is different from
            the registry server.
          type: string
        aliases:
          description: >-
            Aliases pointing to model versions associated with this
            registered_model.
          items:
            type: string
          type: array
      required:
        - name
        - version
        - creation_timestamp
        - last_updated_timestamp
        - current_stage
        - description
        - source
        - status
        - tags
      type: object
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_RegisteredModelAlias:
      description: Alias for a registered model
      properties:
        alias:
          description: The name of the alias.
          type: string
        version:
          description: The model version number that the alias points to..
          type: string
      required:
        - alias
        - version
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
    mlflow-proxy_ModelVersionStatus:
      type: string
      enum:
        - PENDING_REGISTRATION
        - FAILED_REGISTRATION
        - READY
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
- [Get a specific Registered Model](/api-reference/registered-models/get-a-specific-registered-model.md)
- [Get Registered Models visible to user](/api-reference/registered-models/get-registered-models-visible-to-user.md)
- [Get a specific version of a Registered Model](/api-reference/registered-models/get-a-specific-version-of-a-registered-model.md)
